Plans and ideas for the future
==============================

* Review ideas from: http://www.w3.org/TR/chips/ and http://www.w3.org/Provider/Style/URI and see if we can do better.
* Canonize and redirect all requests, we already do this for things like missing or trailing /, should do the same for /. and /./, etc. Deleting trailing . and , should make pasted urls in emails work as links (**Mostly done in RC1**)
* Blog:
	* Comment threading.
	* Some form of pagination (taking advantage of history browsing.) (**Partially done**)
* Sitemaps:
	* Index pages should be used for description of directories.
	* Cache web sitemap generation. (**Done in RC0**)
* Layout improvements:
	* Need to find a way to rig the order of items in the sidebar.
	* Right sidebar.
	* Make it easier to disable all sidebars and headers/footers, eg., for full screen mode.
	* More testing and optimizations for movile browsers, eg., http://www.operamini.com/demo/ Left sidebar had some minor issues in cellphones at some poitn.
* Better page titles (include whole path hierarchy?)
* Allow utf-8 characters in path elements (need to make sure this is safe, and not sure how useful it will be)
* General code:
	* Write a regression test suite
	* Replace all references to non p9p/p9 programs (done?)
	* Document better the 'API' for sub-apps, both a set of environment vars apps can rely on (and in some cases set) and functions they can call (WIP).
* Better generation of descriptive HTML META tags, eg.,: {META name="description" content="This is the Google Summer of Code blog for Plan9 and Inferno projects."} {META name="keywords" content="google, summer of code, inferno, plan9, programming"}
* Should add werc to certain wikipedia lists:
	* http://en.wikipedia.org/wiki/List_of_content_management_systems
	* http://en.wikipedia.org/wiki/Comparison_of_wiki_software
* Include txt2tags as builtin alternative to markdown.
* Mathematic pseudo-CAPTCHA ala WP's 'Math Comment Spam Protection Plugin'.


Future plans
------------

* Wanted apps:
	* Tagging, eg., append to _werc/tags
	* Related links sidebar generation.
	* Bug/issue tracking app.
	* Hg/git repository browser.
	* Implement AtomPub.

* Further modularization and extensibility (meta-templates) (Is the new app framework enough for this?)
* A way to wrap external cgi applications (eg., existing hg/git browser)
* A way to generate static sites (ie., use werc as an offline  templating system)
* [9P](http://9p.cat-v.org) interface.
* New (simplified) markdown implementation, ideally in C or awk (maybe smu/libsmu by gottox?):
  * Simplified
  * Tables
  * Images
  * Autogenerated anchors/navigation boxes
  * No inline html


Known bugs
----------

* Sitemap can handle $dirfilter inconsistently from other places (**fixed**).
* Finding directories that are inaccessible (-rx) can generate an infinite loop (**Works for me? Fixed with new menu code?**)
* Some cat-v.org bits still left over here and there, should make them configurable (1.0 blocker) (**fixed**?)
